/*
 * Class TO_SPECIAL [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1681 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1681 [] = {0xFF01,1551,1680,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1681 [] = {0xFF01,1680,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1681 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1681 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1681 [] = {0xFF01,1680,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1681 [] = {0xFF01,1680,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1681 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1681 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1681 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1681 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1681 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1681 [] = {1680,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1681 [] = {0xFF01,1680,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1681 [] = {0xFF01,1668,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1681 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1681 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1681 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1681[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1681), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1681), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1681), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1681), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1681), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1681), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1681), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1681), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1681), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1681), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1681), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1681), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1681), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1681), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1681), 10431, 0},
	{EIF_GENERIC(NULL), 10424, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10425, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1681), 10426, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1681), 10427, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10428, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10429, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10430, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1681), -1, 0xFFFFFFFF},
};
void Init1681(void)
{
	IDSC(desc_1681, 0, 1680);
	IDSC(desc_1681 + 1, 1, 1680);
	IDSC(desc_1681 + 32, 1422, 1680);
}


#ifdef __cplusplus
}
#endif
